%define glib2_version 2.16.4

Summary: Interfaces for accessibility support
Name: atk
Version: 1.28.0
Release: 1
License: LGPLv2+
Group: System Environment/Libraries
Source0: http://download.gnome.org/sources/%{name}/1.24/%{name}-%{version}.tar.bz2 
Source1: http://download.gnome.org/sources/%{name}/1.24/%{name}-%{version}.sha256sum
URL: http://developer.gnome.org/projects/gap/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gettext-devel >= 0.17, pkg-config
Requires: glib2 >= %{glib2_version}
Requires: gettext >= 0.17

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Files necessary to develop applications using ATK
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2_version}
Requires: pkg-config

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-gtk-doc
make %{?_smp_mflags}

cp ./atk/.libs/libatk-1.0.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --disable-gtk-doc
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q ${RPM_BUILD_ROOT}%{_libdir}/libatk-1.0.a ./libatk-1.0.so.0

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README AUTHORS COPYING NEWS
%{_libdir}/*.a
%{_datadir}/locale/*
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/atk
/usr/lib/*.la
/usr/include/*


%changelog
* Tue Sep 29 2009 Michael Perzl <michael@perzl.org> - 1.28.0-1
- updated to version 1.28.0

* Wed Jul 01 2009 Michael Perzl <michael@perzl.org> - 1.26.0-1
- updated to version 1.26.0

* Mon Jun 29 2009 Michael Perzl <michael@perzl.org> - 1.24.0-1
- updated to version 1.24.0

* Sat Apr 05 2008 Michael Perzl <michael@perzl.org> - 1.22.0-1
- first version for AIX V5.1 and higher
